uk.gov.hmrc.objectstore.client.model

# objectstore

#### package objectstore

Visibility

1. Public
2. All

### Type Members

1. #### final case class Object[T](location: String, objectContent: T, metadata: Option[ObjectMetadata] = None) extends Product with Serializable

2. #### final case class ObjectListing(objectSummaries: List[ObjectSummary]) extends Product with Serializable

3. #### final case class ObjectMetadata(metadata: Map[String, String], userMetadata: Map[String, String]) extends Product with Serializable

4. #### final case class ObjectSummary(location: String, contentLength: Long, contentMd5: String, lastModified: String) extends Product with Serializable

### Ungrouped